_grk_image Struct Reference

`#include <grok.h>`

Inheritance diagram for _grk_image:

## Public Attributes

grk_object | obj
uint32_t | x0
| XOsiz: horizontal offset from the origin of the reference grid to the left side of the image area.
uint32_t | y0
| YOsiz: vertical offset from the origin of the reference grid to the top side of the image area.
uint32_t | x1
| Xsiz: width of the reference grid.
uint32_t | y1
| Ysiz: height of the reference grid.
uint16_t | numcomps
| number of components in the image
GRK_COLOR_SPACE | color_space
bool | paletteApplied_
bool | channelDefinitionApplied_
bool | has_capture_resolution
double | capture_resolution [2]
bool | has_display_resolution
double | display_resolution [2]
GRK_SUPPORTED_FILE_FMT | decompressFormat
bool | forceRGB
bool | upsample
grk_precision * | precision
uint32_t | numPrecision
bool | hasMultipleTiles
bool | splitByComponent
uint16_t | decompressNumComps
uint32_t | decompressWidth
uint32_t | decompressHeight
uint8_t | decompressPrec
GRK_COLOR_SPACE | decompressColourSpace
grk_io_buf | interleavedData
uint32_t | rowsPerStrip
uint32_t | rowsPerTask
uint64_t | packedRowBytes
grk_image_meta * | meta
grk_image_comp * | comps

## Member Data Documentation

## capture_resolution

double _grk_image::capture_resolution[2]

Referenced by grk::GrkImage::copyHeader().

## channelDefinitionApplied_

bool _grk_image::channelDefinitionApplied_

Referenced by grk::GrkImage::apply_channel_definition().

## color_space

GRK_COLOR_SPACE _grk_image::color_space

Referenced by grk::GrkImage::applyColourManagement(), grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::color_sycc_to_rgb(), grk::GrkImage::convertToRGB(), grk::GrkImage::copyHeader(), grk::GrkImage::getColourSpaceString(), grk::GrkImage::getICCColourSpaceString(), grk::GrkImage::greyToRGB(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::GrkImage::needsConversionToRGB(), grk::GrkImage::postReadHeader(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), grk::GrkImage::sycc444_to_rgb(), grk::GrkImage::validateColourSpace(), and grk::GrkImage::validateICC().

## comps

grk_image_comp* _grk_image::comps

Referenced by grk::GrkImage::all_components_data_free(), grk::GrkImage::allComponentsSanityCheck(), grk::GrkImage::allocCompositeData(), grk::GrkImage::apply_channel_definition(), grk::GrkImage::apply_palette_clr(), grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::color_sycc_to_rgb(), grk::GrkImage::componentsEqual(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::compositePlanar(), grk::GrkImage::convertPrecision(), grk::GrkImage::copyHeader(), grk::TileProcessor::createWindowBuffers(), grk::TileProcessor::dcLevelShiftCompress(), grk::TileProcessor::decompressT2T1(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::GrkImage::generateCompositeBounds(), grk::PacketManager::getParams(), grk::GrkImage::greyToRGB(), grk::TileProcessor::ingestImage(), grk::StripCache::ingestTile(), grk::TileProcessor::ingestUncompressedData(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::TileProcessor::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::isOpacity(), grk::GrkImage::isSubsampled(), grk::TileProcessor::mct_encode(), grk::TileProcessor::mctDecompress(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), grk::GrkImage::postReadHeader(), grk::TileProcessor::preCompressTile(), grk::GrkImage::print(), grk::CodeStreamDecompress::read_cbd(), grk::CodeStreamDecompress::read_crg(), grk::Profile::set_cinema_parameters(), grk::FileFormatCompress::start(), grk::Strip::Strip(), grk::GrkImage::subsampleAndReduce(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), grk::GrkImage::supportsStripCache(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), grk::GrkImage::sycc444_to_rgb(), grk::GrkImage::transferDataFrom(), grk::GrkImage::transferDataTo(), grk::GrkImage::validateColourSpace(), grk::GrkImage::validateICC(), grk::GrkImage::validateZeroed(), and grk::GrkImage::~GrkImage().

## decompressColourSpace

GRK_COLOR_SPACE _grk_image::decompressColourSpace

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## decompressFormat

GRK_SUPPORTED_FILE_FMT _grk_image::decompressFormat

Referenced by grk::GrkImage::applyColourManagement(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::convertPrecision(), grk::GrkImage::copyHeader(), grk::GrkImage::needsConversionToRGB(), grk::GrkImage::postReadHeader(), and grk::GrkImage::supportsStripCache().

## decompressHeight

uint32_t _grk_image::decompressHeight

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## decompressNumComps

uint16_t _grk_image::decompressNumComps

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## decompressPrec

uint8_t _grk_image::decompressPrec

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## decompressWidth

uint32_t _grk_image::decompressWidth

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## display_resolution

double _grk_image::display_resolution[2]

Referenced by grk::GrkImage::copyHeader().

## forceRGB

bool _grk_image::forceRGB

Referenced by grk::GrkImage::applyColourManagement(), grk::GrkImage::applyICC(), grk::GrkImage::copyHeader(), grk::GrkImage::greyToRGB(), grk::GrkImage::needsConversionToRGB(), and grk::GrkImage::postReadHeader().

## has_capture_resolution

bool _grk_image::has_capture_resolution

Referenced by grk::GrkImage::copyHeader(), and grk::FileFormatDecompress::readHeader().

## has_display_resolution

bool _grk_image::has_display_resolution

Referenced by grk::GrkImage::copyHeader().

## hasMultipleTiles

bool _grk_image::hasMultipleTiles

Referenced by grk::GrkImage::allocCompositeData(), grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::createOutputImage(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::GrkImage::postReadHeader(), grk::CodeStreamDecompress::read_siz(), grk::CodeStreamDecompress::readHeader(), and grk::GrkImage::supportsStripCache().

## interleavedData

grk_io_buf _grk_image::interleavedData

Referenced by grk::Strip::allocInterleaved(), grk::Strip::allocInterleavedLocked(), grk::GrkImage::composite(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::transferDataTo(), and grk::GrkImage::~GrkImage().

## meta

grk_image_meta* _grk_image::meta

Referenced by grk::GrkImage::allocPalette(), grk::GrkImage::apply_channel_definition(), grk::GrkImage::apply_palette_clr(), grk::GrkImage::applyColour(), grk::GrkImage::applyColourManagement(), grk::GrkImage::applyICC(), grk::GrkImage::check_color(), grk::GrkImage::cieLabToRGB(), grk::CodeStreamDecompress::CodeStreamDecompress(), grk::GrkImage::copyHeader(), grk::FileFormatCompress::getColour(), grk::FileFormatDecompress::getColour(), grk::FileFormatCompress::init(), grk::GrkImage::postReadHeader(), grk::GrkImage::supportsStripCache(), grk::GrkImage::validateICC(), grk::FileFormatCompress::write_jp2h(), and grk::GrkImage::~GrkImage().

## numcomps

uint16_t _grk_image::numcomps

number of components in the image

Referenced by grk::GrkImage::all_components_data_free(), grk::GrkImage::allComponentsSanityCheck(), grk::GrkImage::allocCompositeData(), grk::GrkImage::apply_channel_definition(), grk::GrkImage::apply_palette_clr(), grk::GrkImage::applyICC(), grk::GrkImage::check_color(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::color_sycc_to_rgb(), grk::GrkImage::componentsEqual(), grk::GrkImage::convertPrecision(), grk::GrkImage::convertToRGB(), grk::TileCodingParams::copy(), grk::GrkImage::copyHeader(), grk::TileProcessor::decompressT2T1(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::PacketManager::getParams(), grk::GrkImage::greyToRGB(), grk::TileProcessor::ingestImage(), grk::TileProcessor::ingestUncompressedData(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::TileProcessor::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::isOpacity(), grk::GrkImage::isSubsampled(), grk::CodeStreamCompress::mct_validation(), grk::PacketManager::PacketManager(), grk::CodeStreamDecompress::parseTileParts(), grk::GrkImage::postReadHeader(), grk::TileProcessor::preCompressTile(), grk::GrkImage::print(), grk::CodeStreamDecompress::read_cbd(), grk::CodeStreamDecompress::read_cod(), grk::CodeStreamDecompress::read_crg(), grk::CodeStreamDecompress::read_qcc(), grk::CodeStreamDecompress::read_qcd(), grk::Profile::set_cinema_parameters(), grk::GrkImage::subsampleAndReduce(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), grk::GrkImage::supportsStripCache(), grk::GrkImage::sycc422_to_rgb(), grk::GrkImage::sycc444_to_rgb(), grk::TileProcessor::t1_encode(), grk::GrkImage::transferDataFrom(), grk::GrkImage::transferDataTo(), grk::PacketManager::updateCompressParams(), grk::GrkImage::validateColourSpace(), grk::GrkImage::validateICC(), grk::GrkImage::validateZeroed(), grk::CodeStreamCompress::write_all_coc(), grk::CodeStreamCompress::write_all_qcc(), grk::CodeStreamCompress::write_cbd(), grk::CodeStreamCompress::write_regions(), and grk::CodeStreamCompress::writeTilePart().

## numPrecision

uint32_t _grk_image::numPrecision

Referenced by grk::GrkImage::convertPrecision(), and grk::GrkImage::copyHeader().

## obj

grk_object _grk_image::obj

Referenced by grk::CodeStreamDecompress::createOutputImage(), grk::TileProcessor::generateImage(), grk::GrkImage::GrkImage(), grk::FileFormatCompress::init(), grk::TileProcessor::release(), grk::CodeStream::~CodeStream(), grk::CodeStreamDecompress::~CodeStreamDecompress(), grk::FileFormatCompress::~FileFormatCompress(), grk::Strip::~Strip(), and grk::TileCache::~TileCache().

## packedRowBytes

uint64_t _grk_image::packedRowBytes

Referenced by grk::GrkImage::copyHeader(), and grk::GrkImage::postReadHeader().

## paletteApplied_

bool _grk_image::paletteApplied_

Referenced by grk::GrkImage::apply_palette_clr().

## precision

grk_precision* _grk_image::precision

Referenced by grk::GrkImage::convertPrecision(), grk::GrkImage::copyHeader(), grk::GrkImage::postReadHeader(), grk::GrkImage::scaleComponent(), and grk::GrkImage::supportsStripCache().

## rowsPerStrip

uint32_t _grk_image::rowsPerStrip

Referenced by grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), and grk::GrkImage::postReadHeader().

## rowsPerTask

uint32_t _grk_image::rowsPerTask

Referenced by grk::GrkImage::GrkImage().

## splitByComponent

bool _grk_image::splitByComponent

Referenced by grk::GrkImage::supportsStripCache().

## upsample

bool _grk_image::upsample

Referenced by grk::GrkImage::copyHeader(), grk::GrkImage::execUpsample(), grk::GrkImage::postReadHeader(), and grk::GrkImage::supportsStripCache().

## x0

uint32_t _grk_image::x0

XOsiz: horizontal offset from the origin of the reference grid to the left side of the image area.

Referenced by grk::GrkImage::convertToRGB(), grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::TileProcessor::ingestImage(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::GrkImage::print(), grk::Profile::set_imf_parameters(), grk::GrkImage::subsampleAndReduce(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), and grk::GrkImage::width().

## x1

uint32_t _grk_image::x1

Xsiz: width of the reference grid.

Referenced by grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::Profile::get_broadcast_max_NL(), grk::Profile::get_imf_max_NL(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::GrkImage::print(), grk::Profile::set_imf_parameters(), grk::GrkImage::subsampleAndReduce(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), grk::CodeStreamCompress::updateRates(), and grk::GrkImage::width().

## y0

uint32_t _grk_image::y0

YOsiz: vertical offset from the origin of the reference grid to the top side of the image area.

Referenced by grk::GrkImage::convertToRGB(), grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::GrkImage::height(), grk::TileProcessor::ingestImage(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::GrkImage::print(), grk::Profile::set_imf_parameters(), grk::Strip::Strip(), grk::GrkImage::subsampleAndReduce(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), and grk::GrkImage::supportsStripCache().

## y1

uint32_t _grk_image::y1

Ysiz: height of the reference grid.

Referenced by grk::GrkImage::copyHeader(), grk::CodeStreamDecompress::dump_image_header(), grk::GrkImage::execUpsample(), grk::GrkImage::height(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::GrkImage::print(), grk::Profile::set_imf_parameters(), grk::Strip::Strip(), grk::GrkImage::subsampleAndReduce(), and grk::SIZMarker::subsampleAndReduceHeaderImageComponents().

The documentation for this struct was generated from the following file:

- grok.h